Переполнение буфера в Aurigma Image Uploader ActiveX компоненте

Дата публикации:
01.02.2008
Дата изменения:
24.03.2008
Всего просмотров:
1792
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Aurigma Image Uploader 4.x
Уязвимые версии: Aurigma Image Uploader 4.5.70.0, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в Aurigma.ImageUploader.4.1 ActiveX компоненте (ImageUploader4.ocx) при обработке строк, присваиваемых свойству "Action". Удаленный пользователь может с помощью специально сформированного Web сайта предать слишком длинную строку уязвимому свойству, вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.aurigma.com/Products/ImageUploader/default.aspx

Решение: Установите последнюю версию 4.6 или 5.0 с сайта производителя.

Ссылки: MySpace Uploader (MySpaceUploader.ocx 1.0.0.4) Buffer Overflow Exploit

или введите имя

CAPTCHA